<template>
  <h1>User {{userId}}</h1>
  <dl>
      <dt>Vorname</dt>
      <dd>{{ user?.firstName }}</dd>
      <dt>Lastname</dt>
      <dd>{{ user?.lastName }}</dd>
  </dl>
</template>

<script setup>
  import { useRoute } from 'vue-router'
  import { computed } from 'vue'
  import { useUserStore } from '@/store/UserStore'

  const route = useRoute()
  const userStore = useUserStore()

  const userId = computed(() => Number(route.params.userId))
  const user = computed(() => userStore.users.find(user => user.userId === userId.value))
</script>
